import datetime
from enum import Enum
from typing import Optional, Dict
from pydantic import BaseModel, Field
from datetime import datetime

# Модель для хранения информации из запроса


class TypeKey(Enum):
    PASSWORD = "PASSWORD"
    ACCESS_TOKEN = "ACCESS_TOKEN"
    REFRESH_TOKEN = "REFRESH_TOKEN"
    API_KEY = "API_KEY"


class StatusKey(Enum):
    ACTIVE = "ACTIVE"
    EXPIRED = "EXPIRED"
    DELETED = "DELETED"


class AccountKeyring(BaseModel):
    owner_id: int
    key_type: TypeKey  # Используем тот же KeyType
    key_id: Optional[str] = Field(None, max_length=40)  # Изменено на None как default
    key_value: str = Field(..., max_length=255)
    created_at: datetime
    expiry: Optional[datetime] = None
    status: StatusKey
