import datetime
from enum import Enum
from typing import Optional
from pydantic import BaseModel, Field
from datetime import datetime

# Таблица для получения информации из запроса


class TypeKey(Enum):
    PASSWORD = "PASSWORD"
    ACCESS_TOKEN = "ACCESS_TOKEN"
    REFRESH_TOKEN = "REFRESH_TOKEN"
    API_KEY = "API_KEY"


class StatusKey(Enum):
    ACTIVE = "ACTIVE"
    EXPIRED = "EXPIRED"
    DELETED = "DELETED"


class AccountKeyringUpdate(BaseModel):
    owner_id: Optional[int] = None
    key_type: Optional[TypeKey] = None
    key_id: Optional[str] = Field(None, max_length=40)
    key_value: Optional[str] = Field(None, max_length=255)
    created_at: Optional[datetime] = None
    expiry: Optional[datetime] = None
    status: Optional[StatusKey] = None
