from typing import Optional
from sqlalchemy.ext.asyncio import AsyncConnection
from api.db.logic.auth import get_user

# # from backend.schemas.users.token import TokenData
from api.schemas.account.account import User, Status
from api.utils.hasher import Hasher


async def authenticate_user(connection: AsyncConnection, username: str, password: str) -> Optional[User]:
    sql_user, sql_password = await get_user(connection, username)

    if not sql_user or sql_user.status != Status.ACTIVE:
        return None
    hasher = Hasher()
    if not hasher.verify_data(password, sql_password.key_value):
        return None
    return sql_user
