from fastapi import (
    HTTPException,
    status,
)
from api.db.logic.account import get_user_login
from api.schemas.account.account import Role, Status


async def db_user_role_validation(connection, current_user):
    authorize_user = await get_user_login(connection, current_user)
    if authorize_user.role not in {Role.OWNER, Role.ADMIN}:
        raise HTTPException(status_code=status.HTTP_403_FORBIDDEN, detail="You do not have enough permissions")
    return authorize_user
